module Clairvoyance
  module Generators
    class InstallGenerator < Rails::Generators::Base
      source_root File.expand_path('templates', __dir__)

      desc 'Creates an ApplicationFinder, if none exists.'

      def create_application_finder
        file = 'application_finder.rb'
        copy_file file, "app/finders/#{file}"
      end
    end
  end
end
